requestsync files a bug with the wrong version in the title, not in the changelog

Bug #183346 reported by Andrea Colangelo on 2008-01-15
8
Affects Status Importance Assigned to Milestone
ubuntu-dev-tools (Ubuntu)
Low
Michael Bienia

Bug Description

Binary package hint: ubuntu-dev-tools

Under Gutsy, ubuntu-dev-tools 0.19 installed, I issued the following command:

requestsync -s praat hardy

It filed Bug #182993. The bug description is correctly filled with changelog from 4.6.40-1 (last Ubuntu version) to 5.0.2-1 (last Debian versione available), but title shows "Please sync praat 5.0.0-1".

According to http://packages.qa.debian.org/p/praat.html version 5.0.2-1 gone into unstable on 2008-01-06.

Luca Falavigna (dktrkranz) wrote :

$ rmadison -u debian -s unstable -a source praat
     praat | 5.0.0-1 | unstable | m68k
     praat | 5.0.2-1 | unstable | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
$

Probably requestsync take the first line to get current source version in unstable, while it should consider the one where "source" is specified. Wasn't "-a source" meant to show only source version? If so, it seems a devscripts bug instead.

Michael Bienia (geser) wrote :

It's more a bug in Debian rmadison.php script as rmadison is only a frontend for it. And the web frontend has the same problem.

I've a local work-around for it, which I should push into bzr.

Michael Bienia (geser) wrote :

A fix (or more precisely a work-around) is commit to ubuntu-dev-tools bzr (revision 53).

Changed in ubuntu-dev-tools:
assignee: nobody → geser
importance: Undecided → Low
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.25

---------------
ubuntu-dev-tools (0.25) hardy; urgency=low

  [ Michael Bienia ]
  * requestsync:
    + Add work-around for a bug in Debian's madison.php not returning only the
      'source' line (LP: #183346).
    + Add support to file sync requests with python-launchpad-bugs (--lp)
      (LP: #147994).
    + Add line editing during input.
  * doc/requestsync.1:
    + Document new requestsync options.

  [ Siegfried-Angel Gevatter Pujals (RainCT) ]
  * what-patch:
     - Print a list of files that have been modified outside debian/.
     - Add -h and -q options.
     - Add proper exit values.
  * debian/control:
     - Bump standards version to 3.7.3.
     - Move python-central to Build-Depends-Indep.
     - Rename XS-Vcs-{Bzr,Browser} fields to Vcs-{Bzr,Browser}.
     - Bump minimum cdbs version to 0.4.49.
  * Add Albert Damen to the Authors and Copyright Holders.
  * Change my email address (to @ubuntu.com) everywhere.
  * Add reverse-build-depends script and a manpage for it.
  * Add requestsync and reverse-build-depends and massfile to
    debian/copyright.
  * Update README (add information for many missing scripts).
  * Add the text "ubuntu-dev-tools" to the footer of all manpages.
  * Remove duplicated ubuntu-dev-tools recommends (it's already a
    dependency).

  [ Stephan Hermann ]
  * mk-sbuild-lv: check for debootstrap release names in
    /usr/share/debootstreap/releases and not in /usr/lib/debootstrap/releases
  * pbuilder-dist:
    - check if $SYSCACHE is not set and stay with the default, if
      SYSCACHE = 0 use the default from pbuilderrc or honor $DEBCACHE
      (LP: #156183)
    - removed $BINARCH check in pbuilder call, and set --debootstrapopts
      directly, it doesn't matter when it's always set. The Subshell call
      didn't work (LP: #175183)
    - added support for --http-proxy, honours now $http_proxy or $HTTP_PROXY
    - removed $COMPONENTS_LINE from pbuilder call, data is crippled in the
      pbuilder chroot.
      Instead of this behaviour add $BASE_DIR/etc/$DISTRIBUTION/apt.conf/
      directory and install a sane sources.list, depending on the releases of Ubuntu
      and add --aptconfdir to pbuilder call (LP: #175183)
    - add support for gksudo|kdesudo|sudo depending on $DESKTOP_SESSION.
      or if $PBUILDAUTH is set to something else, it will be used instead of
      sudo|gksudo|kdesudo (LP: #172943)
  * pbuilder-dist.bash_completion: (LP: #175728)
    - added bash_completion instructions
  * debian/rules:
    - install pbuilder-dist.bash_completion to /etc/bash_completion.d/

  [ Daniel Holbach ]
  * hugdaylist: drop one Ubuntu filter statement.

  [ Kees Cook ]
  * what-patch: change default operation back to quiet mode -- script is used
    in automated tools, so default behavior is best to leave unchanged.
  * check-symbols: check for binary list very carefully.
  * dch-repeat: add Hardy to distro list.
  * mk-sbuild-lv: use -r instead of -f for possible debootstrap symlinks.

 -- Stephan Hermann <email address hidden> Tue, 22 Jan 2008 19:28:34 +0100

Changed in ubuntu-dev-tools:
status: Fix Committed → Fix Released
Mitsuya Shibata (cosmos-door) wrote :

In ubuntu-dev-tools 0.66, this problem have relapse.
According to changelog, Bienia's workaround was removed from version 0.66,
and upstream bzr rev 341.
http://bazaar.launchpad.net/~ubuntu-dev/ubuntu-dev-tools/trunk/revision/341

However it seems that does not work.

Ex. package of jd
Debian unstable's source: 1:2.3.0-090305-1
Ubuntu jaunty: 1:2.2.0-090212-1

reportsync's message:
$ reportsync --lp jd jaunty
The versions in Debian and Ubuntu are the same already (1:2.2.0-090212-1). Aborting.

rmadison's message:
$ rmadison -u debian -a source -s unstable jd
        jd | 1:2.2.0-090212-1 | unstable | arm
        jd | 1:2.3.0-090305-1 | unstable | source, alpha, amd64, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
http://qa.debian.org/madison.php?package=jd&a=source&b=&c=&s=unstable

Changed in ubuntu-dev-tools:
status: Fix Released → Confirmed
Jonathan Davies (jpds) wrote :

Sorry about this; I've reverted the workaround in Bazaar:

------------------------------------------------------------
revno: 348
committer: Jonathan Davies <email address hidden>
branch nick: ubuntu-dev-tools
timestamp: Sat 2009-03-14 12:16:32 +0000
message:
  * requestsync: Reverted old madison.php workaround (LP: #183346).

Changed in ubuntu-dev-tools:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.67

---------------
ubuntu-dev-tools (0.67) jaunty; urgency=low

  [ Jonathan Davies ]
  * mk-sbuild-lv: Changed default behaviour so that the initial build and log
    directories are not created on first run; instead read settings file and
    check if they exist (LP: #342154).
  * requestsync: Reverted old madison.php workaround (LP: #183346).

  [ Ryan Kavanagh ]
  * mk-sbuild-lv: Added support for Debian chroots. Updated manpage.
    (LP: #342158)

  [ Mitsuya Shibata ]
  * pull-debian-source: Detect existence of dget in multi-path environment.

 -- Jonathan Davies <email address hidden> Sat, 14 Mar 2009 22:40:05 +0000

Changed in ubuntu-dev-tools:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers